{% extends "base.html" %}

{% load django_tables2 i18n static %}

{% block extracss %}
    <link rel="stylesheet" href="{% static "bootstrap_datepicker_plus/css/datepicker-widget.css" %}">
{% endblock %}

{% block contenttitle %}
    <h2>{% trans "Calendar" %}</h2>
{% endblock %}

{% block content %}
    <div id="form-content">
        {% render_table table %}

        {% trans "Update phase" as modal_title %}
        {% trans "Update" as modal_button %}
        {% include "base_modal.html" with modal_id="updatePhase" %}
    </div>
{% endblock %}

{% block extrajavascript %}
{% if user.registration.is_admin %}
    <script>
        $("tr").click(function () {
            let modalBody = $("#updatePhaseModal div.modal-body");
            if (!modalBody.html().trim())
                modalBody.load("{% url "participation:calendar" %}" + $(this).data("id") + "/ #form-content");
            $("#updatePhase-form").attr("action", "{% url "participation:calendar" %}" + $(this).data("id") + "/")
            $("#updatePhaseModal").modal();
        })
    </script>
{% endif %}
{% endblock %}
